

#ifndef F_CPU
#define F_CPU 8000000UL // 8 MHz clock speed
#endif


#include <avr/io.h> //Library to handle avr inputs and outputs
#include <util/delay.h> // Library to add delays. Necessary for blinking.


int main(void)
{
	DDRB = DDRB | (1 << PB3);      // DDRB Port B Data Direction Register. Selects direction of pins
	// In this case PB2 is an ouptut
	DDRB = DDRB & ~(1 << PB4);      //Set PA7 as input
	
	
	while (1)
	{
		
		//Check if button is pressed (its value is 0 because the button has a PULL-UP resistor)
		uint8_t val = PINA & (1 << PB4);
		if(!val){
			

						
						//Turn the LED off
						PORTB = PORTB & ~(1<<PB3);


		}
		else {

						//Turn the LED on
						PORTB = PORTB | (1<<PB3);
						
		}
		
		
	}
}


